Bug 1012694 - python-keystone erroneously requires webob1.0
python-keystone erroneously requires webob1.0
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
3.0
All All
unspecified Severity medium
: z3
: 3.0
Assigned To: Alan Pevec
Jeremy Agee
: Triaged, ZStream
Depends On:
Blocks: 1021641
  Show dependency treegraph
 
Reported: 2013-09-26 18:29 EDT by Alan Pevec
Modified: 2016-04-26 10:23 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-keystone-2013.1.3-3.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1012024
Environment:
Last Closed: 2013-11-18 14:30:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2013-09-26 18:29:37 EDT
+++ This bug was initially created as a clone of Bug #1012024 +++

Description of problem:

Remove webob1.0 from RHOSv3 package requirements - everything should be using webob1.2.3.

>>> [root@public-comp050 ~]# rpm -q --whatrequires python-webob1.0
>>> python-keystone-2013.1.3-1.el6ost.noarch
>>> python-nova-2013.1.3-3.el6ost.noarch

That should be fixed, both Nova and Keystone have WebOb==1.2.3 in upstream pip-requires.
Please file BZs and we'll fix that in the next 3.0.z update.

Cheers,
Alan
Comment 6 Jeremy Agee 2013-10-25 16:20:14 EDT
Tested and verified
Comment 8 errata-xmlrpc 2013-11-18 14:30:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1524.html

Note You need to log in before you can comment on or make changes to this bug.